<?php

namespace Types;

class AufgabePropertyTypeType {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$values[$x] ?? $x;
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x] ?? $x;
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return $result;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values['text'] = _('Text');
	self::$values['date'] = _('Datum');
	self::$values['double'] = _('Zahl');
	self::$values['html'] = _('Großer Text');
	self::$values['aufgabePropertyDropdown2'] = _('Auswahl');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort['text'] = _('Text');
	self::$valuesShort['date'] = _('Datum');
	self::$valuesShort['double'] = _('Zahl');
	self::$valuesShort['html'] = _('Großer Text');
	self::$valuesShort['aufgabePropertyDropdown2'] = _('Auswahl');
	
    
  }


  
  

  
  
}

\Types\AufgabePropertyTypeType::initialize(); 

